/* ########## 4.8 Padding ########## */

@mixin padding-variant($num, $viewport:"") {

   @if $viewport=="" {
      $viewport: "-";
   }

   @else {
      $viewport: "-"+ $viewport + "-";
   }

   //ie. .u-pad-sm-0
   .u-pad#{$viewport}-#{$num} {
      padding: #{$num}px !important;
   }

   //ie. .u-pad-sm-v-0
   .u-pad#{$viewport}v--#{$num} {
      padding-top: #{$num}px !important;
      padding-bottom: #{$num}px !important;
   }

   //ie. .u-pad-sm-h-0
   .u-pad#{$viewport}h--#{$num} {
      padding-left: #{$num}px !important;
      padding-right: #{$num}px !important;
   }

   .u-pad#{$viewport}top--#{$num} {
      padding-top: #{$num}px !important;
   }

   .u-pad#{$viewport}right--#{$num} {
      padding-right: #{$num}px !important;
   }

   .u-pad#{$viewport}bottom--#{$num} {
      padding-bottom: #{$num}px !important;
   }

   .u-pad#{$viewport}left--#{$num} {
      padding-left: #{$num}px !important;
   }
}

@mixin do-padding-variant($viewport) {
   //padding: 0px to 9px
   $num: 0;

   @while $num < 100 {
      @include padding-variant($num, $viewport);
      $num: $num + 5;
   }

   //padding: 10px to 95px with step of 5px
   $num: 10;

   @while $num < 100 {
      @include padding-variant($num, $viewport);
      $num: $num + 5;
   }

   //padding: 100px to 200px with step of 10px
   $num: 100;

   @while $num <=200 {
      @include padding-variant($num, $viewport);
      $num: $num + 10;
   }
}

//padding: 0px to 9px
$num: 0;

@while $num < 100 {
   @include padding-variant($num);
   $num: $num + 5;
}

//padding: 10px to 95px with step of 5px
$num: 10;

@while $num < 100 {
   @include padding-variant($num);
   $num: $num + 5;
}

//padding: 100px to 200px with step of 10px
$num: 100;

@while $num <=200 {
   @include padding-variant($num);
   $num: $num + 10;
}

@media (min-width: 480px) {
   @include do-padding-variant("xs");
}

@include media-breakpoint-up(sm) {
   @include do-padding-variant("sm");
}

@include media-breakpoint-up(md) {
   @include do-padding-variant("md");
}

@include media-breakpoint-up(lg) {
   @include do-padding-variant("lg");
}

@include media-breakpoint-up(xl) {
   @include do-padding-variant("xl");
}
